SERVER 12 LTS e vari problemi!

Installazione, configurazione e uso di Ubuntu come server: web, ftp, mail, news, proxy, dns e altro.
Avatar utente
bingel
Imperturbabile Insigne
Imperturbabile Insigne
Messaggi: 4026
Iscrizione: lunedì 3 aprile 2006, 10:17

Re: SERVER 12 LTS e vari problemi!

Messaggio da bingel »

il file dentro /etc non c'entra nulla. Quello presente in init.d invece dovrebbe avviare minidlna in automatico ma se minidlna non viene avviato significa che non funziona.

Posta il contenuto che vediamo di capire.
carmalao
Prode Principiante
Messaggi: 51
Iscrizione: martedì 15 maggio 2012, 20:11
Desktop: --
Distribuzione: server 12 64bit, desktop 10 LT

Re: SERVER 12 LTS e vari problemi!

Messaggio da carmalao »

Trovato per minidlna: basta aggiungere in /etc/rc.local questo comando

minidlna -f /etc/minidlna -R

il comando -R forza l'aggiornamento del db ad ogni riavvio

ora sta macinando tutti i miei files
rimane fuori samba, nel frattempo ho verificato ed il WOL è ok
CIAOz
Avatar utente
Parny
Prode Principiante
Messaggi: 102
Iscrizione: sabato 10 giugno 2006, 13:54
Desktop: Unity
Distribuzione: Ubuntu 12.04 LTS 64bit

Re: SERVER 12 LTS e vari problemi!

Messaggio da Parny »

bingel ha scritto:Per eseguire minidlna all'avvio crea un file denominato minidlna.conf nella dir /etc/init e ricopiaci dentro quanto segue:

Codice: Seleziona tutto

description     "Start minidlna server"
author          "carmalao <carmalao@carmalao.net>"

start on startup
stop on runlevel [06]

respawn

script
/usr/sbin/minidlna
end script
dopodichè, se non li ha già, attribuiscigli i seguenti permessi:

Codice: Seleziona tutto

sudo chmod 644 minidlna.conf
A questo punto al successivo riavvio del sistema, minidlna si dovrebbe avviare automaticamente.
Forse manca il:

Codice: Seleziona tutto

sudo update-rc.d /etc/init/minidlna.con defaults
alla fine di tutto. Comunque anche con rc.local va bene.

Che errori ti da samba? Hai controllato i log?
Linux User #537601
carmalao
Prode Principiante
Messaggi: 51
Iscrizione: martedì 15 maggio 2012, 20:11
Desktop: --
Distribuzione: server 12 64bit, desktop 10 LT

Re: SERVER 12 LTS e vari problemi!

Messaggio da carmalao »

scusa, mentre faccio non seguo costantemente....
provo a postare il /etc/init.d/minidlna

Codice: Seleziona tutto

#!/bin/sh
#
# MiniDLNA initscript
#
# Based on the mediatomb debian package.
# Original authors: Tor Krill <tor@excito.com>
#                   Leonhard Wimmer <leo@mediatomb.cc>
#                   Andres Mejia <mcitadel@gmail.com>
#
# Modified by: Benoît Knecht <benoit.knecht@fsfe.org>
#
### BEGIN INIT INFO
# Provides:          minidlna
# Required-Start:    $network $local_fs $remote_fs
# Required-Stop::    $network $local_fs $remote_fs
# Should-Start:      $all
# Should-Stop:       $all
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: DLNA/UPnP-AV media server
### END INIT INFO

unset USER

# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="DLNA/UPnP-AV media server"
NAME=minidlna
DAEMON=/usr/bin/minidlna
PIDDIR=/var/run/$NAME
PIDFILE=$PIDDIR/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
DEFAULT=/etc/default/$NAME

# Exit if the package is not installed
[ -x $DAEMON ] || exit 0

# Read configuration variable file if it is present
[ -r $DEFAULT ] && . $DEFAULT

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions

# Do not start the daemon if NO_START is enabled in DEFAULT
if [ "$START_DAEMON" != "yes" ] && [ "$1" != "stop" ]; then
        log_warning_msg "$NAME: Not starting $DESC."
        log_warning_msg "$NAME: Disabled in $DEFAULT."
        exit 0
fi

# Set the default configuration file
if [ -z $CONFIGFILE ]; then
        CONFIGFILE=/etc/minidlna.conf
fi

# Set the default log file
if [ -z $LOGFILE ]; then
        LOGFILE=/var/log/minidlna.log
fi

# Run as `minidlna' if USER is not specified or is `root'
if [ -z $USER ]; then
        USER=minidlna
fi

# If no group is specified, use USER
if [ -z $GROUP ]; then
        GROUP=$USER
fi

DAEMON_ARGS="-f $CONFIGFILE -P $PIDFILE $DAEMON_OPTS"

#
# Function that starts the daemon/service
#
do_start()
{
        # Return
        #   0 if daemon has been started
        #   1 if daemon was already running
        #   2 if daemon could not be started
        touch $LOGFILE && chown $USER:$GROUP $LOGFILE || return 2
        if [ ! -d $PIDDIR ]; then
            mkdir $PIDDIR || return 2
       fi
        chown $USER:$GROUP $PIDDIR || return 2

        start-stop-daemon --start --quiet --pidfile $PIDFILE \
                --chuid $USER:$GROUP --exec $DAEMON --test > /dev/null \
                || return 1
        start-stop-daemon --start --quiet --pidfile $PIDFILE \
                --chuid $USER:$GROUP --exec $DAEMON -- \
                $DAEMON_ARGS \
                || return 2
}

#
# Function that stops the daemon/service
#
_stop()
{
        # Return
        #   0 if daemon has been stopped
        #   1 if daemon was already stopped
        #   2 if daemon could not be stopped
        #   other if a failure occurred
        start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
        RETVAL="$?"
        [ "$RETVAL" = 2 ] && return 2
        # Wait for children to finish too if this is a daemon that forks
        # and if the daemon is only ever run from this initscript.
        start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
        [ "$?" = 2 ] && return 2
        # Many daemons don't delete their pidfiles when they exit.
        rm -rf $PIDDIR
        return "$RETVAL"
}

case "$1" in
  start)
    [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
    do_start
    case "$?" in
                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
                2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
  ;;
  stop)
        [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
        do_stop
        case "$?" in
                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
                2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
  status)
       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
       ;;
  restart|force-reload)
        log_daemon_msg "Restarting $DESC" "$NAME"
        do_stop
        case "$?" in
          0|1)
                if [ "$1" = "force-reload" ]; then
                        # Rescan the collection
                        DAEMON_ARGS="$DAEMON_ARGS -R"
                fi
                do_start
                case "$?" in
                        0) log_end_msg 0 ;;
                        1) log_end_msg 1 ;; # Old process is still running
                        *) log_end_msg 1 ;; # Failed to start
                esac
                ;;
          *)
                # Failed to stop
                log_end_msg 1
                ;;
        esac
        ;;
  *)
        echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
        exit 3
        ;;
esac

:

Avatar utente
Parny
Prode Principiante
Messaggi: 102
Iscrizione: sabato 10 giugno 2006, 13:54
Desktop: Unity
Distribuzione: Ubuntu 12.04 LTS 64bit

Re: SERVER 12 LTS e vari problemi!

Messaggio da Parny »

Non avevi risolto con rc.local?

Comunque una volta che hai copiato e reso eseguibile quello script in /etc/init.d/minidlna dovresti provare a dare:

Codice: Seleziona tutto

 sudo update-rc.d /etc/init.d/minidlna defaults
Linux User #537601
carmalao
Prode Principiante
Messaggi: 51
Iscrizione: martedì 15 maggio 2012, 20:11
Desktop: --
Distribuzione: server 12 64bit, desktop 10 LT

Re: SERVER 12 LTS e vari problemi!

Messaggio da carmalao »

Grazie anfche a te parny.
Avevo provato un update-rc.d ecc. ecc. già ieri sera, ma senza risultato.
Ora funge e non tocco più.
PEr samba, da winzoz non mi fa accedere e mi dice:

impossibile accedere a \\nas\nas. L'utente potrebbe non disporre dell'autorizzazione necessaria per l'utilizzo della risorsa di rete. Per le autorizzazioni di accesso, contattare l'amminsitratore del server.
Impossibile trovare il nome di gruppo.

Mi sembra di capire che non mi lascia entrare, e l'ultima frase potrebbe aiutare..... ricordo che dopo aver installato semba, non ho creato alcun utente. Ieri sera sì, ma mi dava l'identico errore.

Questo è un veloce estratto di log.smbfs:



[2012/05/16 21:43:27, 0] smbd/server.c:1051(main)
smbd version 3.6.3 started.
Copyright Andrew Tridgell and the Samba Team 1992-2011
[2012/05/16 21:43:27.932815, 0] smbd/server.c:1107(main)
standard input is not a socket, assuming -D option
[2012/05/16 21:43:27.953156, 0] printing/print_cups.c:110(cups_connect)
Unable to connect to CUPS server localhost:631 - Connection refused
[2012/05/16 21:43:27.953355, 0] printing/print_cups.c:487(cups_async_callback)
failed to retrieve printer list: NT_STATUS_UNSUCCESSFUL
[2012/05/16 21:56:28.655103, 0] printing/print_cups.c:110(cups_connect)
Unable to connect to CUPS server localhost:631 - Connection refused
[2012/05/16 21:56:28.655461, 0] printing/print_cups.c:487(cups_async_callback)
failed to retrieve printer list: NT_STATUS_UNSUCCESSFUL
Avatar utente
bingel
Imperturbabile Insigne
Imperturbabile Insigne
Messaggi: 4026
Iscrizione: lunedì 3 aprile 2006, 10:17

Re: SERVER 12 LTS e vari problemi!

Messaggio da bingel »

Allo script che ho preparato per upstart non manca nulla* (magari per avviarlo si potrebbe usare il comando che tu hai messo in rc.local al posto di quello che ho usato io e che mi avevi dato tu nel pomeriggio), il comando update-rc.d non si usa con con upstart.

Per fare una cosa pulita io proverei a fare così:

-elimina da rc.local il comando che vi hai inserito
-esegui:

Codice: Seleziona tutto

update-rc.d minidlna defaults
* nel solo senso che non è necessario eseguire update-rc.d
Ultima modifica di bingel il mercoledì 16 maggio 2012, 22:17, modificato 1 volta in totale.
carmalao
Prode Principiante
Messaggi: 51
Iscrizione: martedì 15 maggio 2012, 20:11
Desktop: --
Distribuzione: server 12 64bit, desktop 10 LT

Re: SERVER 12 LTS e vari problemi!

Messaggio da carmalao »

ora sospendo per una oretta
a dopo!
e.... GRAZIE
Avatar utente
bingel
Imperturbabile Insigne
Imperturbabile Insigne
Messaggi: 4026
Iscrizione: lunedì 3 aprile 2006, 10:17

Re: SERVER 12 LTS e vari problemi!

Messaggio da bingel »

mi correggo:

Codice: Seleziona tutto

sudo update-rc.d minidlna defaults
carmalao
Prode Principiante
Messaggi: 51
Iscrizione: martedì 15 maggio 2012, 20:11
Desktop: --
Distribuzione: server 12 64bit, desktop 10 LT

Re: SERVER 12 LTS e vari problemi!

Messaggio da carmalao »

fatto entrambe le cose e mi dice

system start/stop links for /Etc/init.d/minidlna already exist

ho riavviato e minidlna FUNZIONA in autoavvio!!!!!!!!!!!
Grande.
Ma perché ieri sera, facendo lo STESSO comando, non aveva funzionato?!?
Boh, misteri.
Ora vado a vedere un 50 minuti di tv.
A dopo e grazie.
carmalao
Prode Principiante
Messaggi: 51
Iscrizione: martedì 15 maggio 2012, 20:11
Desktop: --
Distribuzione: server 12 64bit, desktop 10 LT

Re: SERVER 12 LTS e vari problemi!

Messaggio da carmalao »

Eccomi.
Per samba, vi incollo il pezzo di configurazione da me aggiunto, seguendo ovviamente una guida apposita per la costruzione di un file server samba, alla fine di /etc/samba/smb.conf:

Codice: Seleziona tutto

[NAS]
comment = NAS
path = media/store
public = yes
writable = yes
create mask = 0777
directory mask = 0777
force user = nobody
force group = no group
il resto di smb.conf non è stato toccato, e quindi il workgroup è WORKGROUP come sul netbook winzoz 7 da cui vi sto scriv endo.
carmalao
Prode Principiante
Messaggi: 51
Iscrizione: martedì 15 maggio 2012, 20:11
Desktop: --
Distribuzione: server 12 64bit, desktop 10 LT

Re: SERVER 12 LTS e vari problemi!

Messaggio da carmalao »

Sconfortato per samba, mi sono letto mille guide......... ho creato un utente con adduser e poi lo stesso utente con smbpasswd -a e ho riavviato con service smbd stop e poi start, anche nmbd.
Ma niente.
Vado a dormire.
Avatar utente
bingel
Imperturbabile Insigne
Imperturbabile Insigne
Messaggi: 4026
Iscrizione: lunedì 3 aprile 2006, 10:17

Re: SERVER 12 LTS e vari problemi!

Messaggio da bingel »

Codice: Seleziona tutto

path = /media/store
attenzione allo slash iniziale che non hai messo
carmalao
Prode Principiante
Messaggi: 51
Iscrizione: martedì 15 maggio 2012, 20:11
Desktop: --
Distribuzione: server 12 64bit, desktop 10 LT

Re: SERVER 12 LTS e vari problemi!

Messaggio da carmalao »

Grazie, ma forse è stato un refuso...... controllerò questa sera, ora sono a lavoro a 66 km di distanza aimè :-(
carmalao
Prode Principiante
Messaggi: 51
Iscrizione: martedì 15 maggio 2012, 20:11
Desktop: --
Distribuzione: server 12 64bit, desktop 10 LT

Re: SERVER 12 LTS e vari problemi!

Messaggio da carmalao »

Non era un refuso ma proprio una dimenticanza!
Corretto, riavviato il server samba e........... NIENTE!
Come prima uguale uguale.
carmalao
Prode Principiante
Messaggi: 51
Iscrizione: martedì 15 maggio 2012, 20:11
Desktop: --
Distribuzione: server 12 64bit, desktop 10 LT

Re: SERVER 12 LTS e vari problemi!

Messaggio da carmalao »

Nemmeno da linux funziona.
Avatar utente
bingel
Imperturbabile Insigne
Imperturbabile Insigne
Messaggi: 4026
Iscrizione: lunedì 3 aprile 2006, 10:17

Re: SERVER 12 LTS e vari problemi!

Messaggio da bingel »

Permessi e proprietario del file /etc/samba/smb.conf ?:

Codice: Seleziona tutto

ls -lai /etc/samba/smb.conf
Cmq posta tutto il tuo smb.conf così magari ci diamo un'occhiata...

...inoltre se hai altri pc con linux, collegati alla rete e prova a dare, da uno di questi, il comando:

Codice: Seleziona tutto

findsmb
per vedere se almeno il server viene rilevato.
carmalao
Prode Principiante
Messaggi: 51
Iscrizione: martedì 15 maggio 2012, 20:11
Desktop: --
Distribuzione: server 12 64bit, desktop 10 LT

Re: SERVER 12 LTS e vari problemi!

Messaggio da carmalao »

ok, grazie, ho il htpc in ubuntu 10.04 lts
dovrei riuscire a fare il tutto dopo pranzo, a famiglia "dormiente".... :-)
in caso, sono disposto a rimuovere completamente samba ed a reinstallarlo passo passo dietro vs. supervisione
carmalao
Prode Principiante
Messaggi: 51
Iscrizione: martedì 15 maggio 2012, 20:11
Desktop: --
Distribuzione: server 12 64bit, desktop 10 LT

Re: SERVER 12 LTS e vari problemi!

Messaggio da carmalao »

bingel ha scritto:Permessi e proprietario del file /etc/samba/smb.conf ?:

Codice: Seleziona tutto

ls -lai /etc/samba/smb.conf
Cmq posta tutto il tuo smb.conf così magari ci diamo un'occhiata...

...inoltre se hai altri pc con linux, collegati alla rete e prova a dare, da uno di questi, il comando:

Codice: Seleziona tutto

findsmb
per vedere se almeno il server viene rilevato.

CIao, ecco qui:

Permessi di smb.conf

Codice: Seleziona tutto

root@NAS:~# ls -lai /etc/samba/smb.conf
5768145 -rw-r--r-- 1 root root 12618 mag 19 00:54 /etc/samba/smb.conf
Questo è quanto emerso da findsmb dal mio htpc linux ubuntu 10.04LTS, stessa rete casalinga:

Codice: Seleziona tutto

htpc@htpc:~$ findsmb

                                *=DMB
                                +=LMB
IP ADDR         NETBIOS NAME     WORKGROUP/OS/VERSION 
---------------------------------------------------------------------
192.168.1.1     ALICEGATE     +[WORKGROUP] [Unix] [Samba 3.0.23d]
192.168.1.250   NAS            [WORKGROUP] [Unix] [Samba 3.6.3]
Si nota che "vede" sia il router telecom che il fileserver.

E questo è il smb.conf intero (cioè il file ORIGINALE con in più in fondo la mia condivisione, altro non toccai):

Codice: Seleziona tutto

#
# Sample configuration file for the Samba suite for Debian GNU/Linux.
#
#
# This is the main Samba configuration file. You should read the
# smb.conf(5) manual page in order to understand the options listed
# here. Samba has a huge number of configurable options most of which 
# are not shown in this example
#
# Some options that are often worth tuning have been included as
# commented-out examples in this file.
#  - When such options are commented with ";", the proposed setting
#    differs from the default Samba behaviour
#  - When commented with "#", the proposed setting is the default
#    behaviour of Samba but the option is considered important
#    enough to be mentioned here
#
# NOTE: Whenever you modify this file you should run the command
# "testparm" to check that you have not made any basic syntactic 
# errors. 
# A well-established practice is to name the original file
# "smb.conf.master" and create the "real" config file with
# testparm -s smb.conf.master >smb.conf
# This minimizes the size of the really used smb.conf file
# which, according to the Samba Team, impacts performance
# However, use this with caution if your smb.conf file contains nested
# "include" statements. See Debian bug #483187 for a case
# where using a master file is not a good idea.
#

#======================= Global Settings =======================

[global]

## Browsing/Identification ###

# Change this to the workgroup/NT-domain name your Samba server will part of
   workgroup = WORKGROUP

# server string is the equivalent of the NT Description field
   server string = %h server (Samba, Ubuntu)

# Windows Internet Name Serving Support Section:
# WINS Support - Tells the NMBD component of Samba to enable its WINS Server
#   wins support = no

# WINS Server - Tells the NMBD components of Samba to be a WINS Client
# Note: Samba can be either a WINS Server, or a WINS Client, but NOT both
;   wins server = w.x.y.z

# This will prevent nmbd to search for NetBIOS names through DNS.
   dns proxy = no

# What naming service and in what order should we use to resolve host names
# to IP addresses
;   name resolve order = lmhosts host wins bcast

#### Networking ####

# The specific set of interfaces / networks to bind to
# This can be either the interface name or an IP address/netmask;
# interface names are normally preferred
;   interfaces = 127.0.0.0/8 eth0

# Only bind to the named interfaces and/or networks; you must use the
# 'interfaces' option above to use this.
# It is recommended that you enable this feature if your Samba machine is
# not protected by a firewall or is a firewall itself.  However, this
# option cannot handle dynamic or non-broadcast interfaces correctly.
;   bind interfaces only = yes



#### Debugging/Accounting ####

# This tells Samba to use a separate log file for each machine
# that connects
   log file = /var/log/samba/log.%m

# Cap the size of the individual log files (in KiB).
   max log size = 1000

# If you want Samba to only log through syslog then set the following
# parameter to 'yes'.
#   syslog only = no

# We want Samba to log a minimum amount of information to syslog. Everything
# should go to /var/log/samba/log.{smbd,nmbd} instead. If you want to log
# through syslog you should set the following parameter to something higher.
   syslog = 0

# Do something sensible when Samba crashes: mail the admin a backtrace
   panic action = /usr/share/samba/panic-action %d


####### Authentication #######

# "security = user" is always a good idea. This will require a Unix account
# in this server for every user accessing the server. See
# /usr/share/doc/samba-doc/htmldocs/Samba3-HOWTO/ServerType.html
# in the samba-doc package for details.
#   security = user

# You may wish to use password encryption.  See the section on
# 'encrypt passwords' in the smb.conf(5) manpage before enabling.
   encrypt passwords = true

# If you are using encrypted passwords, Samba will need to know what
# password database type you are using.  
   passdb backend = tdbsam

   obey pam restrictions = yes

# This boolean parameter controls whether Samba attempts to sync the Unix
# password with the SMB password when the encrypted SMB password in the
# passdb is changed.
   unix password sync = yes

# For Unix password sync to work on a Debian GNU/Linux system, the following
# parameters must be set (thanks to Ian Kahan <<kahan@informatik.tu-muenchen.de> for
# sending the correct chat script for the passwd program in Debian Sarge).
   passwd program = /usr/bin/passwd %u
   passwd chat = *Enter\snew\s*\spassword:* %n\n *Retype\snew\s*\spassword:* %n\n *password\supdated\ssuccessfully* .

# This boolean controls whether PAM will be used for password changes
# when requested by an SMB client instead of the program listed in
# 'passwd program'. The default is 'no'.
   pam password change = yes

# This option controls how unsuccessful authentication attempts are mapped
# to anonymous connections
   map to guest = bad user

########## Domains ###########

# Is this machine able to authenticate users. Both PDC and BDC
# must have this setting enabled. If you are the BDC you must
# change the 'domain master' setting to no
#
;   domain logons = yes
#
# The following setting only takes effect if 'domain logons' is set
# It specifies the location of the user's profile directory
# from the client point of view)
# The following required a [profiles] share to be setup on the
# samba server (see below)
;   logon path = \\%N\profiles\%U
# Another common choice is storing the profile in the user's home directory
# (this is Samba's default)
#   logon path = \\%N\%U\profile

# The following setting only takes effect if 'domain logons' is set
# It specifies the location of a user's home directory (from the client
# point of view)
;   logon drive = H:
#   logon home = \\%N\%U

# The following setting only takes effect if 'domain logons' is set
# It specifies the script to run during logon. The script must be stored
# in the [netlogon] share
# NOTE: Must be store in 'DOS' file format convention
;   logon script = logon.cmd

# This allows Unix users to be created on the domain controller via the SAMR
# RPC pipe.  The example command creates a user account with a disabled Unix
# password; please adapt to your needs
; add user script = /usr/sbin/adduser --quiet --disabled-password --gecos "" %u

# This allows machine accounts to be created on the domain controller via the 
# SAMR RPC pipe.  
# The following assumes a "machines" group exists on the system
; add machine script  = /usr/sbin/useradd -g machines -c "%u machine account" -d /var/lib/samba -s /bin/false %u

# This allows Unix groups to be created on the domain controller via the SAMR
# RPC pipe.  
; add group script = /usr/sbin/addgroup --force-badname %g

########## Printing ##########

# If you want to automatically load your printer list rather
# than setting them up individually then you'll need this
#   load printers = yes

# lpr(ng) printing. You may wish to override the location of the
# printcap file
;   printing = bsd
;   printcap name = /etc/printcap

# CUPS printing.  See also the cupsaddsmb(8) manpage in the
# cupsys-client package.
;   printing = cups
;   printcap name = cups

############ Misc ############

# Using the following line enables you to customise your configuration
# on a per machine basis. The %m gets replaced with the netbios name
# of the machine that is connecting
;   include = /home/samba/etc/smb.conf.%m

# Most people will find that this option gives better performance.
# See smb.conf(5) and /usr/share/doc/samba-doc/htmldocs/Samba3-HOWTO/speed.html
# for details
# You may want to add the following on a Linux system:
#         SO_RCVBUF=8192 SO_SNDBUF=8192
#   socket options = TCP_NODELAY

# The following parameter is useful only if you have the linpopup package
# installed. The samba maintainer and the linpopup maintainer are
# working to ease installation and configuration of linpopup and samba.
;   message command = /bin/sh -c '/usr/bin/linpopup "%f" "%m" %s; rm %s' &

# Domain Master specifies Samba to be the Domain Master Browser. If this
# machine will be configured as a BDC (a secondary logon server), you
# must set this to 'no'; otherwise, the default behavior is recommended.
#   domain master = auto

# Some defaults for winbind (make sure you're not using the ranges
# for something else.)
;   idmap uid = 10000-20000
;   idmap gid = 10000-20000
;   template shell = /bin/bash

# The following was the default behaviour in sarge,
# but samba upstream reverted the default because it might induce
# performance issues in large organizations.
# See Debian bug #368251 for some of the consequences of *not*
# having this setting and smb.conf(5) for details.
;   winbind enum groups = yes
;   winbind enum users = yes

# Setup usershare options to enable non-root users to share folders
# with the net usershare command.

# Maximum number of usershare. 0 (default) means that usershare is disabled.
;   usershare max shares = 100

# Allow users who've been granted usershare privileges to create
# public shares, not just authenticated ones
   usershare allow guests = yes

#======================= Share Definitions =======================

# Un-comment the following (and tweak the other settings below to suit)
# to enable the default home directory shares. This will share each 
# user's home director as \\server\username
;[homes]
;   comment = Home Directories
;   browseable = no

# By default, the home directories are exported read-only. Change the
# next parameter to 'no' if you want to be able to write to them.
;   read only = yes

# File creation mask is set to 0700 for security reasons. If you want to
# create files with group=rw permissions, set next parameter to 0775.
;   create mask = 0700

# Directory creation mask is set to 0700 for security reasons. If you want to
# create dirs. with group=rw permissions, set next parameter to 0775.
;   directory mask = 0700

# By default, \\server\username shares can be connected to by anyone
# with access to the samba server. Un-comment the following parameter
# to make sure that only "username" can connect to \\server\username
# The following parameter makes sure that only "username" can connect
#
# This might need tweaking when using external authentication schemes
;   valid users = %S

# Un-comment the following and create the netlogon directory for Domain Logons
# (you need to configure Samba to act as a domain controller too.)
;[netlogon]
;   comment = Network Logon Service
;   path = /home/samba/netlogon
;   guest ok = yes
;   read only = yes

# Un-comment the following and create the profiles directory to store
# users profiles (see the "logon path" option above)
# (you need to configure Samba to act as a domain controller too.)
# The path below should be writable by all users so that their
# profile directory may be created the first time they log on
;[profiles]
;   comment = Users profiles
;   path = /home/samba/profiles
;   guest ok = no
;   browseable = no
;   create mask = 0600
;   directory mask = 0700

[printers]
   comment = All Printers
   browseable = no
   path = /var/spool/samba
   printable = yes
   guest ok = no
   read only = yes
   create mask = 0700

# Windows clients look for this share name as a source of downloadable
# printer drivers
[print$]
   comment = Printer Drivers
   path = /var/lib/samba/printers
   browseable = yes
   read only = yes
   guest ok = no
# Uncomment to allow remote administration of Windows print drivers.
# You may need to replace 'lpadmin' with the name of the group your
# admin users are members of.
# Please note that you also need to set appropriate Unix permissions
# to the drivers directory for these users to have write rights in it
;   write list = root, @lpadmin

# A sample share for sharing your CD-ROM with others.
;[cdrom]
;   comment = Samba server's CD-ROM
;   read only = yes
;   locking = no
;   path = /cdrom
;   guest ok = yes

# The next two parameters show how to auto-mount a CD-ROM when the
#	cdrom share is accesed. For this to work /etc/fstab must contain
#	an entry like this:
#
#       /dev/scd0   /cdrom  iso9660 defaults,noauto,ro,user   0 0
#
# The CD-ROM gets unmounted automatically after the connection to the
#
# If you don't want to use auto-mounting/unmounting make sure the CD
#	is mounted on /cdrom
#
;   preexec = /bin/mount /cdrom
;   postexec = /bin/umount /cdrom


[NAS]
comment = NAS
path = /media/store/
public = yes
writable = yes
create mask = 0777
directory mask = 0777
force user = nobody
force group = no group
Avatar utente
bingel
Imperturbabile Insigne
Imperturbabile Insigne
Messaggi: 4026
Iscrizione: lunedì 3 aprile 2006, 10:17

Re: SERVER 12 LTS e vari problemi!

Messaggio da bingel »

Innanzitutto proverei a modificare "no group" in "nogroup" poi riavvia samba e se non funziona prova ad aggiungere la seguente riga alla tua configurazione:

Codice: Seleziona tutto

browseable = yes
e se non funziona neppure così prova queste configurazioni (prima una e poi l'altra):

Codice: Seleziona tutto

[NAS]
        comment = NAS
        path = /media/store/
        public = yes
        writeable = yes
        browseable = yes
        only guest = no
        read only = no

Codice: Seleziona tutto

[NAS]
        comment = NAS
        path = /media/store/
        public = yes
        force create mode = 0777
        force directory mode = 0777
        force group = nogroup
        force user = nobody
        read only = no
        browseable = yes
Ricordati di riavviare Samba ad ogni modifica.
Scrivi risposta

Ritorna a “Ubuntu su server”

Chi c’è in linea

Visualizzano questa sezione: 0 utenti iscritti e 6 ospiti